extends Control

signal toggleSound
signal toggleVibrate
signal toggleDoubletap
signal toggleShowZeros
signal toggleCountDown
signal toggleShowOutline
signal toggleHideSafeBlocks
signal resetText

var hoveringTop = false
var hoveringBot = false
var hoveringEn  = false
var hoveringAt  = false
var hoveringEsp = false
var hoveringInfo = false
var hoveringDoubletap = false
var hoveringShowZeros = false
var hoveringCountDown = false
var hoveringShowOutline    = false
var hoveringHideSafeBlocks = false


func _ready():
	get_tree().quit_on_go_back = false
	TranslationServer.set_locale(Singleton.lang)


func _notification(what):
	match what:
		NOTIFICATION_WM_GO_BACK_REQUEST:
			get_tree().change_scene_to_file("res://scenes/Settings.tscn")


func _input(event):
	if event is InputEventScreenTouch and !event.pressed:
		if hoveringTop:
			toggleSound.emit()

		elif hoveringBot:
			toggleVibrate.emit()

		elif hoveringDoubletap:
			toggleDoubletap.emit()

		elif hoveringShowZeros:
			toggleShowZeros.emit()

		elif hoveringCountDown:
			toggleCountDown.emit()

		elif hoveringShowOutline:
			toggleShowOutline.emit()

		elif hoveringHideSafeBlocks:
			toggleHideSafeBlocks.emit()

		elif hoveringAt:
			TranslationServer.set_locale("de")
			Singleton.lang = "de"
			resetText.emit()

		elif hoveringEn:
			TranslationServer.set_locale("en")
			Singleton.lang = "en"
			resetText.emit()

		elif hoveringEsp:
			TranslationServer.set_locale("esp")
			Singleton.lang = "esp"
			resetText.emit()

		elif hoveringInfo:
			get_tree().change_scene_to_file("res://scenes/ConfigInfo.tscn")


func _on_sounds_mouse_entered() -> void:
	hoveringTop = true


func _on_sounds_mouse_exited() -> void:
	hoveringTop = false


func _on_vibrate_mouse_entered() -> void:
	hoveringBot = true


func _on_vibrate_mouse_exited() -> void:
	hoveringBot = false


func _on_german_mouse_entered() -> void:
	hoveringAt = true


func _on_german_mouse_exited() -> void:
	hoveringAt = false


func _on_english_mouse_entered() -> void:
	hoveringEn = true


func _on_english_mouse_exited() -> void:
	hoveringEn = false


func _on_esperanto_mouse_entered() -> void:
	hoveringEsp = true


func _on_esperanto_mouse_exited() -> void:
	hoveringEsp = false


func _on_doubletap_mouse_entered() -> void:
	hoveringDoubletap = true


func _on_doubletap_mouse_exited() -> void:
	hoveringDoubletap = false


func _on_show_zeros_mouse_entered() -> void:
	hoveringShowZeros = true


func _on_show_zeros_mouse_exited() -> void:
	hoveringShowZeros = false


func _on_count_down_mouse_entered() -> void:
	hoveringCountDown = true


func _on_count_down_mouse_exited() -> void:
	hoveringCountDown = false


func _on_show_outline_mouse_entered() -> void:
	hoveringShowOutline = true


func _on_show_outline_mouse_exited() -> void:
	hoveringShowOutline = false


func _on_hide_safe_cubes_mouse_entered() -> void:
	hoveringHideSafeBlocks = true


func _on_hide_safe_cubes_mouse_exited() -> void:
	hoveringHideSafeBlocks = false


func _on_info_button_mouse_entered() -> void:
	hoveringInfo = true


func _on_info_button_mouse_exited() -> void:
	hoveringInfo = false
