extends Sprite2D

@export var motion: String

var modX = 50
var modY = -50
var mod = 1
var time = 0.0
var speed = 2
var distance = 150
var waiting = false
var initPos: Vector2


func _ready():
	if motion == "point" or motion == "long-press" or motion == "zoom-up":
		position.x -= 150

	if motion == "zoom-up":
		position.y -= 100

	elif motion == "zoom-down":
		position.x += 260
		position.y += 280

	initPos = position


func _process(delta):
	var dist: float
	
	if motion == "turn":
		time += delta
		var angle = speed * time
		var handRotation = Vector2(cos(angle), sin(angle))
		position = handRotation * distance - Vector2(100, -20)

	elif motion == "point":
		position.x += 100 * mod * delta
		dist = absf(position.x - initPos.x)
		if dist > 50:
			mod *= -1
	
	elif motion == "long-press":
		if !waiting:
			position.x += 100 * mod * delta
			dist = position.x - initPos.x
			if dist > 50:
				waiting = true
				await get_tree().create_timer(1).timeout
				waiting = false
				mod = -1
			elif dist < -50:
				mod = 1

	elif motion == "zoom-down":
		position.x += 100 * mod * delta
		position.y += 100 * mod * delta
		dist = absf(position.x - initPos.x)
		if dist > 50:
			mod *= -1
			position.x += 100 * mod * delta
			position.y += 100 * mod * delta

	elif motion == "zoom-up":
		position.x -= 100 * mod * delta
		position.y -= 100 * mod * delta
		dist = absf(position.x - initPos.x)
		if dist > 50:
			mod *= -1
			position.x -= 100 * mod * delta
			position.y -= 100 * mod * delta
