extends Control

const save_file = "user://data.tres"


func _notification(what):
	match what:
		NOTIFICATION_WM_GO_BACK_REQUEST:
			get_tree().change_scene_to_file("res://scenes/Settings.tscn")


func _ready():
	get_tree().quit_on_go_back = false
	TranslationServer.set_locale(Singleton.lang)
	$Label.text = tr("STATS_TITLE")
	
	var data = loadStats()
	var big_text = "[center]"
	
	big_text += "[b]" + tr("STATS1") + "\n" + str(data.playedGames) + "\n\n"
	big_text += tr("STATS2") + "\n[color=gold]" + str(data.wonGames) + "[/color]\n\n"
	big_text += tr("STATS3") + " " + str(data.totalMines) + " " + tr("STATS4") + "[/b]\n\n\n\n"
	
	big_text += "[b][color=green]" + tr("EASY") + "[/color][/b]\n\n"
	big_text += tr("STATS5") + " " + tr("EASY") + " "  + str(data.totalEasy) + " " + tr("TIMES") + "\n"
	
	if data.wonEasy != 0:
		big_text += tr("STATS_WON_1") + " " + str(data.wonEasy) + " " + tr("STATS_WON_2") + "\n"
		big_text += tr("FASTEST_1") + " " + str(data.fastestEasy) + " " + tr("FASTEST_2") + "\n"
		big_text += tr("FASTEST_3") + " " + str(data.fastestEasyMines) + " " + tr("FASTEST_4") + "\n\n\n"
	else:
		big_text += tr("NONE_YET_1") + " " + tr("EASY") + " " + tr("NONE_YET_2") + "\n\n\n"

	big_text += "[b][color=yellow]" + tr("MEDIUM") + "[/color]\n\n[/b]"
	big_text += tr("STATS5") + " " + tr("MEDIUM") + " "  + str(data.totalMedium) + " " + tr("TIMES") + "\n"
	if data.totalMedium != 0:
		big_text += tr("STATS_WON_1") + " " + str(data.wonMedium) + " " + tr("STATS_WON_2") + "\n"
		big_text += tr("FASTEST_1") + " " + str(data.fastestMedium) + " " + tr("FASTEST_2") + "\n"
		big_text += tr("FASTEST_3") + " " + str(data.fastestMediumMines) + " " + tr("FASTEST_4") + "\n\n\n"
	else:
		big_text += tr("NONE_YET_1") + " " + tr("MEDIUM") + " " + tr("NONE_YET_2") + "\n\n\n"

	big_text += "[b][color=red]" + tr("HARD") + "[/color]\n\n[/b]"
	big_text += tr("STATS5") + " " + tr("HARD") + " "  + str(data.totalHard) + " " + tr("TIMES") + "\n"
	
	if data.wonHard != 0:
		big_text += tr("STATS_WON_1") + " " + str(data.wonHard) + " " + tr("STATS_WON_2") + "\n"
		big_text += tr("FASTEST_1") + " " + str(data.fastestHard) + " " + tr("FASTEST_2") + "\n"
		big_text += tr("FASTEST_3") + " " + str(data.fastestHardMines) + " " + tr("FASTEST_4") + "\n\n\n"
	else:
		big_text += tr("NONE_YET_1") + " " + tr("HARD") + " " + tr("NONE_YET_2") + "\n\n\n"

	$Text.text = big_text


func loadStats():
	if ResourceLoader.exists(save_file):
		return load(save_file)
	return GameData.new()
