extends Control

var page = 1
var hovering_next = false
var hovering_prev = false
var initial = true
var multi = false


func _notification(what):
	match what:
		NOTIFICATION_WM_GO_BACK_REQUEST:
			get_tree().change_scene_to_file("res://scenes/Settings.tscn")


func _ready():
	get_tree().quit_on_go_back = false
	TranslationServer.set_locale(Singleton.lang)
	$Page1/RichTextLabel.text = "[center]" + tr("PAGE1") + "[/center]"
	$Page2/Top/InfoText.text = "[center]" + tr("PAGE2_TOP") + "[/center]"
	$Page2/Center/InfoText2.text = "[center]" + tr("PAGE2_BOT") + "[/center]"
	$Page3/Top/InfoText.text = "[center]" + tr("PAGE3_TOP") + "[/center]"
	$Page3/Center/InfoText2.text = "[center]" + tr("PAGE3_BOT") + "[/center]"
	$Page4/RichTextLabel.text = "[center]" + tr("PAGE4") + "[/center]"
	$Page5/RichTextLabel.text = "[center]" + tr("PAGE5") + "[/center]"
	$Page6/RichTextLabel.text = "[center]" + tr("PAGE6") + "[/center]"


func _process(_delta):
	if page == 3:
		if Input.is_action_just_pressed("right_mouse"):
			$Page3/Center/Hand.hide()
			$Page3/Center/InfoText2.show()

	if page == 1:
		if Input.is_action_just_pressed("left_mouse"):
			initial = false
			$Page1/Center/Hand.hide()

	if hovering_next:
		if Input.is_action_just_released("left_mouse"):
			if page == 1 and !initial:
				$Page1.hide()
				$Page1/Center/Box.hide()
				$Page2.show()
				$Page2/Center/BoxArea.show()
				$Page2/Center/Hand.show()
				$Page2/Center/BoxArea/Box.show()
				$Page2/Center/InfoText2.hide()
				$Prev.show()
			
			elif page == 2:
				$Page2.hide()
				$Page2/Center/BoxArea.hide()
				$Page2/Center/InfoText2.hide()
				$Page3.show()
				$Page3/Center/BoxArea.show()
				$Page3/Center/Left.show()
				$Page3/Center/Right.show()
				$Page3/Center/BoxArea/Box.reset()
				$Page3/Center/Hand.show()

			elif page == 3:
				$Page3.hide()
				$Page3/Center/BoxArea.hide()
				$Page3/Center/InfoText2.hide()
				$Page3/Center/Left.hide()
				$Page3/Center/Right.hide()
				$Page4.show()
				$Page4/Center/Box.reset()
				$Page4/Center/Box.show()
				$Page4/Center/Hand.show()
				$Page4/Center/Hand2.show()

			elif page == 4:
				$Page4.hide()
				$Page4/Center/Box.hide()
				$Page5.show()
				$Page5/Center/Box.show()
				$Page5/Center/Box.reset()
				$Page5/Center/Hand.show()
				$Page5/Center/Hand2.show()

			elif page == 5:
				$Page5.hide()
				$Page5/Center/Box.hide()
				$Page6.show()
				$Back.show()
				$Next.hide()

			if !initial:
				page += 1

	if hovering_prev:
		if Input.is_action_just_released("left_mouse"):
			if page == 2:
				$Page2.hide()
				$Page2/Center/BoxArea.hide()
				$Page1.show()
				$Page1/Center/Box.rotation = Vector3(0, 0, 0)
				$Page1/Center/Box.show()
				$Page1/Center/Hand.show()
				$Prev.hide()

			if page == 3:
				$Page3.hide()
				$Page3/Center/BoxArea.hide()
				$Page2.show()
				$Page2/Center/BoxArea.show()
				$Page2/Center/BoxArea/Box.show()
				$Page2/Center/InfoText2.hide()
				$Page2/Center/Hand.show()
				$Page2/Center/InfoText2.hide()
				$Page3/Center/Left.hide()
				$Page3/Center/Right.hide()
				$Page3/Center/InfoText2.hide()

			if page == 4:
				$Page4.hide()
				$Page4/Center/Box.hide()
				$Page3.show()
				$Page3/Center/BoxArea/Box.reset()
				$Page3/Center/BoxArea.show()
				$Page3/Center/InfoText2.hide()
				$Page3/Center/Left.show()
				$Page3/Center/Right.show()
				$Page3/Center/Hand.show()

			if page == 5:
				$Page5.hide()
				$Page5/Center/Box.hide()
				$Page4.show()
				$Page4/Center/Box.show()
				$Page4/Center/Box.reset()
				$Page4/Center/Hand.show()
				$Page4/Center/Hand2.show()
				$Next.show()

			if page == 6:
				$Page6.hide()
				$Page5.show()
				$Page5/Center/Box.show()
				$Page5/Center/Hand.show()
				$Page5/Center/Hand2.show()
				$Page5/Center/Box.reset()
				$Back.hide()
				$Next.show()

			page -= 1


func _input(event):
	if event is InputEventScreenTouch:
		if event.index == 2:
			multi = true
		else:
			multi = false

	if page == 2:
		if event is InputEventScreenTouch:
			$Page2/Center/Hand.hide()
			$Page2/Center/InfoText2.show()
	elif page == 4:
		if event is InputEventMagnifyGesture:
			$Page4/Center/Hand.hide()
			$Page4/Center/Hand2.hide()
	elif page == 5:
		if event is InputEventPanGesture:
			$Page5/Center/Hand.hide()
			$Page5/Center/Hand2.hide()
	elif page == 6:
		if event is InputEventScreenTouch and event.index == 2:
			$Page6/Center/Hand.hide()
			$Page6/Center/Hand2.hide()
			$Page6/Center/Hand3.hide()


func _on_next_area_mouse_entered():
	hovering_next =  true


func _on_next_area_mouse_exited():
	hovering_next = false


func _on_prev_area_mouse_entered():
	hovering_prev = true


func _on_prev_area_mouse_exited():
	hovering_prev = false


func _on_box_defused_mine():
	$Page3/Center/Left.text = "2"
	$Page3/Center/Right.text = ""
	$Page3/Center/Right.hide()


func _on_box_refused_mine():
	$Page3/Center/Left.text = "3"
	$Page3/Center/Right.text = "1"
	$Page3/Center/Right.show()
