extends MeshInstance3D

var white = preload("res://assets/white.tres")
var orange = preload("res://assets/orange.tres")

signal defusedMine
signal refusedMine

@export var movement: String
var global_delta
var hovering = false
var marked = false


func _input(event):
	if movement == "turn":
		if event is InputEventScreenDrag:
			rotate_x(event.relative.y * global_delta * 0.2)
			rotate_y(event.relative.x * global_delta * 0.2)

	elif movement == "zoom":
		if event is InputEventMagnifyGesture:
			scale *= event.factor

	elif movement == "spin":
		if event is InputEventPanGesture:
				rotation.z += event.delta.x * global_delta * 0.2


func _process(delta):
	global_delta = delta

	if movement == "point":
		if hovering and Input.is_action_just_released("left_mouse"):
			hide()

	if movement == "long-press":
		if hovering:
			if Input.is_action_just_released("left_mouse"):
				if marked:
					refusedMine.emit()
					marked = false
					material_override = white
			if Input.is_action_just_pressed("right_mouse"):
				if marked:
					refusedMine.emit()
					marked = false
					material_override = white
				else:
					defusedMine.emit()
					marked = true
					material_override = orange


func reset():
	if movement == "long-press" and marked:
		marked = false
		material_override = white
		refusedMine.emit()
	elif movement == "zoom":
		scale = Vector3(.9, .9, .9)
	elif movement == "spin":
		rotation = Vector3(0, 0, 0)


func _on_box_area_mouse_entered():
	hovering = true


func _on_box_area_mouse_exited():
	hovering = false
